/**** Variables **********************************************/
:root {
	--nav-bg: #7868;
	--nav-text: #ffe0a0;
	--nav-tr-dur: 0.6s;
}

/**** Main navbar ********************************************/
nav.main-nav {
	position: fixed;
	width: 100%; height: 5rem;
	top: 0; left: 0;
  	z-index: 1000;

	display: flex;
	justify-content: space-between;
	align-items: center;

	padding: 1rem;

	background: var(--nav-bg);
	backdrop-filter: blur(8px);

	border: 2px solid #fff8;
	border-bottom-left-radius: 2rem;
	border-bottom-right-radius: 2rem;

	font-size: medium;
	transition: all var(--nav-tr-dur) ease;
	/* background: linear-gradient(#00c 0%, #cc0 50%, #00c 100%); */
}

nav.main-nav.scrolled {
	height: 4rem;
	font-size: small;
}

/**** School logos *******************************************/
nav.main-nav .logo {
	display: flex;
	gap: 8px;
	margin: 0 1rem;
	font-family: var(--font-header);
	color: var(--nav-text);
	font-size: 1.2rem;
	letter-spacing: 2px;
	font-weight: 700;
	margin-right: 1rem;
}

nav.main-nav .logo img {
	width: 3rem;
	transition: transform 0.2s ease-out
}

nav.main-nav .logo img:hover {
	transform: scale(1.1);
}

nav.main-nav.scrolled .logo img {
	width: 2rem;
}

/**** Nav menu ***********************************************/
nav.main-nav .nav-links {
	margin: 0 2rem;
	display: flex;
	justify-content: space-evenly;
	width: 100%;
	gap: 2.5rem;
	align-items: center;
}
nav.main-nav .nav-links>a {
	text-decoration: none;
	padding: 1rem 0.1rem;
	font-family: var(--font-header);
	font-size: 1.0rem;
	font-weight: bold;
	letter-spacing: 2px;
	color: var(--nav-text);
	text-shadow: 3px 2px 4px #0008;
	text-transform: uppercase;
	text-align: center;
	opacity: 0.7;
	transition: all var(--nav-tr-dur) ease;
}

nav.main-nav .nav-links>a:hover {
	opacity: 0.9;
	color: white;
	text-shadow: 6px 4px 6px #000c;
	transform: translate(-3px, -2px);
}

nav.main-nav.scrolled a {
	font-size: 0.8rem;
}

.main-nav div.cross {
	display: none;
	cursor: pointer;
	position: relative;
	width: 40px;
	height: 40px;
}

#hamburger-menu {
	display: none;
}

/* label {
  display: block;
  cursor: pointer;
  position: relative;
  width: 40px;
  height: 40px;
} */

path {
  fill: none;
  stroke: #ffffff;
  stroke-width: 3;
  stroke-linecap: round;
  stroke-linejoin: round;
  --length: 24;
  --offset: -38;
  stroke-dasharray: var(--length) var(--total-length);
  stroke-dashoffset: var(--offset);
  transition: all .8s cubic-bezier(.645, .045, .355, 1);
}

circle {
  fill: #fff3;
  opacity: 0;
}

label:hover circle {
  opacity: 1;
}

/* cross animation */

.cross input:checked + svg .line--1,
.cross input:checked + svg .line--3 {
  --length: 22.627416998;
}

.cross input:checked + svg .line--2 {
  --length: 0;
}

/* menu 1 */

.menu--1 .line--1,
.menu--1 .line--3 {
  --total-length: 126.64183044433594;
}

.menu--1 .line--2 {
  --total-length: 70;
}

.menu--1 input:checked + svg .line--1,
.menu--1 input:checked + svg .line--3 {
  --offset: -94.1149185097;
}

.menu--1 input:checked + svg .line--2 {
  --offset: -50;
}

.menu--1 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


/**** Languages options **************************************/
nav.main-nav .lang {
	margin: 0 2rem;
	display: flex;
	flex-direction: column;
	gap: 4px;
}

nav.main-nav .lang img {
	height: 1rem;
	width: 1.5rem;
}

nav.main-nav.scrolled .lang img {
	height: 0.6rem;
	width: 1.0rem;
}

section {
  padding-top: 6rem;
}

@media screen and (max-width: 768px) {
	nav.main-nav .nav-links {
		gap: 0.5rem;
	}
	nav.main-nav .nav-links>a {
		/* display: none; */
		font-size: 0.8rem;
		font-weight: normal;
		letter-spacing: 0px;
	}
}